> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.sesametime.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Free Days from Employees in Planner

> Removes free days within a date range for a list of employees in the given planner.



## OpenAPI

````yaml DELETE /schedule/v1/planners/{plannerId}/free-days
openapi: 3.0.0
info:
  description: ''
  version: 3.0.0
  title: Sesame Public API
servers:
  - url: https://api-{region}.sesametime.com
    variables:
      region:
        default: eu1
security: []
tags: []
paths:
  /schedule/v1/planners/{plannerId}/free-days:
    delete:
      tags:
        - Planners
      summary: Delete Free Days from Employees in Planner
      description: >-
        Removes free days within a date range for a list of employees in the
        given planner.
      operationId: DeleteFreeDaysFromEmployeesInPlanner
      parameters:
        - in: path
          name: plannerId
          required: true
          description: The planner ID
          schema:
            type: string
            format: uuid
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - from
                - to
                - employeeIds
              properties:
                from:
                  type: string
                  format: date
                  description: Start of the range (Y-m-d). Inclusive.
                  example: '2026-02-10'
                to:
                  type: string
                  format: date
                  description: 'End of the range (Y-m-d). Inclusive. Max range: 3 years.'
                  example: '2026-02-12'
                employeeIds:
                  type: array
                  description: Employees to delete the free days from.
                  items:
                    type: string
                    format: uuid
      responses:
        '200':
          description: Object
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: string
                    example: ''
                  meta:
                    type: object
                    properties:
                      currentPage:
                        type: integer
                        example: 1
                      lastPage:
                        type: integer
                        example: 1
                      total:
                        type: integer
                        example: 1
                      perPage:
                        type: integer
                        example: 1
        '400':
          description: Bad Request - The request was invalid or cannot be served
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    description: Error message describing what went wrong
                    example: Validation failed for the provided data
                  errors:
                    type: array
                    description: List of specific validation errors
                    items:
                      type: object
                      properties:
                        field:
                          type: string
                          description: The field that caused the error
                          example: questionId
                        message:
                          type: string
                          description: Specific error message for the field
                          example: This value is not a valid UUID.
              example:
                message: Validation failed
                errors:
                  - field: questionId
                    message: This value is not a valid UUID.
                  - field: answer
                    message: This field is required for text-based questions.
        '401':
          description: Unauthorized - Invalid or missing API Key
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    description: Error message indicating authentication failure
                    example: Invalid or missing API Key
                  code:
                    type: string
                    description: Error code for programmatic handling
                    example: UNAUTHORIZED
              example:
                message: Invalid or missing API Key
                code: UNAUTHORIZED
        '404':
          description: Not Found - The requested resource could not be found
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    description: Error message indicating the resource was not found
                    example: Evaluation not found
                  code:
                    type: string
                    description: Error code for programmatic handling
                    example: EVALUATION_NOT_FOUND
              example:
                message: >-
                  Evaluation with ID 123e4567-e89b-12d3-a456-426614174000 was
                  not found
                code: EVALUATION_NOT_FOUND
      security:
        - Bearer: []
components:
  securitySchemes:
    Bearer:
      type: http
      scheme: bearer
      bearerFormat: JWT

````